using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("工作中心属性表")]
    /// <summary>
    /// 工作中心、维修中心、检验中心、
    /// </summary>
   [IgnoreT4]public class T_FM_STAGE_ATTR : MesEntityBase
	{
        [Description("计划参数ID")]
        public Guid PLAN_PARAM_ID { get; set; }
        /// <summary>
        /// 生产中心ID
        /// </summary>
        [Description("生产中心ID")]
        public Guid WORKSTAGE_ID { get; set; }

        [Description("参数值")]
        public string VALUE { get; set; }

        [Description("备注")]
        public string DESC { get; set; }



        #region relation
        [Description("导航：计划参数表")]
        public virtual T_FM_PLAN_PARAM Nav_PlanParam { get; set; }
        #endregion

    }
}
